[![Build Status](https://travis-ci.org/GreetzNL/abby-client.svg?branch=master)](https://travis-ci.org/GreetzNL/abby-client)
[![Coverage Status](https://coveralls.io/repos/github/GreetzNL/abby-client/badge.svg)](https://coveralls.io/github/GreetzNL/abby-client)

# Abby client

This is the client library for Greetz's very own A/B testing platform.

## Usage

First you need to init the module to be able to fetch all active experiment.

`const abbyClient = require('abby-client')({ apiEndpoint, tags });`

`apiEndpoint` - String: absolute address of API endpoint

`tags` - String: meta info like name of current envouriment

to start fetching you need to run

`abbyClient.ready()`

and then you are ready to use it. Just pass your request and response objects and abby-client will set appropirate experiments to response object.

`abbyClient(req, res)`

## Test
Run `npm test` to start tests. It will automatically generate coverage.
